//+------------------------------------------------------------------+
//|                                 Bug_NoIntellisenseAfterArray.mq5 |
//|                                              Copyright 2022, *** |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright 2022, ***"
#property link      ""
#property version   "1.00"



class CTestLeaf
{
   public:
   
      double dTest;
};



class CTest
{
   public:
   
      CTestLeaf* pLeaf;
      
      CTest(void)
      {
         pLeaf = new CTestLeaf();
      }
      
      ~CTest(void)
      {
         delete pLeaf;
      }
};



struct STest
{
   CTest* pTest;
   
   STest(void)
   {
      pTest = new CTest();
   }
   
   ~STest(void)
   {
      delete pTest;
   }
};



//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
{
//---
   STest agstTest[2];
   // Problem:
   //    After the first occurance of an array entry, beginning with the second item following
   //    the array entry, no code completion is available anymore.
   // Example:
   //    After the following code snippet no intellisense/code completion is working anymore: "agstTest[0].pTest."
   // Expected behaviour:
   //    No matter how far behind an array entry we are, even possibly a second one, code completion should always work.
   //    In this example at least "pLeaf" as well as "dTest" should be available for code completion.
   agstTest[0].pTest.pLeaf.dTest = 0;
}
//+------------------------------------------------------------------+
